/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. 
// Author: Santhosh N


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <tk.h>
#include "signal.h"

int kill_interface(ClientData cd, Tcl_Interp *interp,
            int objc, Tcl_Obj *CONST objv[])
{
	int signal_num;
	pid_t target_pid;

	if(objc!=3) {
        Tcl_WrongNumArgs(interp,1,objv,"<pid> <signal_no>");
        return TCL_ERROR;
	}

	if(Tcl_GetIntFromObj(interp,objv[1],&target_pid)!=TCL_OK)
		return TCL_ERROR;

	if(Tcl_GetIntFromObj(interp,objv[2],&signal_num)!=TCL_OK)
		return TCL_ERROR;

	if(!kill(target_pid, signal_num))
		return TCL_OK;
	else
		return TCL_ERROR;
}
